/*
 * Cria as imagens temporarias e faz inicializacoes para deixar 
 * um contexto pronto para o processamento.
 * Seria chamada sempre que o programa capturasse a camera ou
 * um avi.  
 * Verificar se o contexto ja estava inicializado.
 * Neste caso fechar o antigo antes de re-inicializar o novo.
 */
void arInit(int w, int h);


/*
 * Recebe cada frame capturado na funcao idle.
 * Notem que nao tera mais nenhum processamento no modulo de interface.
 */
imImage * arFrameProcess(unsigned char *rgb, int *flags, double value1, double value2);

/*
 * Chamada na funcao de callback da repaint do canvas da direita.
 * A callback do modulo de interface nao fara mais nada. Tudo fica por conta desta funcao.
 */
void arRepaintRightCanvas(void);


/*
 * Chamada na funcao de callback da repaint do canvas da esquerda
 * A callback do modulo de interface nao fara mais nada. Tudo fica por conta desta funcao.
 */
void arRepaintLeftCanvas(void);


/*
 * Libera areas alocadas
 */
void arEnd(void);
